Update Vehicle ProfileCopy Pageput https://developer-api.bringg.com/services/2PkSfi3n/service_uuid1/service_uuid2 (COPY)Update an existing Vehicle Profile entity in Bringg. Vehicle profiles are also known as vehicle types in Bringg.Body Paramsidint32requiredThe Bringg ID of the Vehicle Profile you wish to update. Required, unless external_id is present.external_idstringrequiredID of the vehicle profile in your system. Required, unless ID is present.titlestringYour name for the vehicle profile. This is how the vehicle profile will appear in the Bringg UI. Minimum of two characters.descriptionstringA free text description of the vehicle profile.default_for_merchantbooleanDefaults to falseShould be set to true if new vehicles created should use this vehicle profile by default. Creating a vehicle profile and setting this flag to true will clear any previously selected default vehicle profile.truefalsehandling_unitsjsonUsed to specify the maximum capacity in custom units for vehicles using this vehicle profile. For example. a maximum pallet count of 12 pallets.cost_per_shiftfloatA relative cost allocated to vehicles using this profile that is used in someA relative cost allocated to vehicles using this profile that is used in some types of route optimization. Serves to reduce the number of vehicles used in a given optimization.types of Route Optimization. Cost per shift serves to reduce the number of vehicles that are used in a given optimization.is_greenbooleanDefaults to falseSet to true if vehicles using this profile should be considered "Green" vehicles as they approach net zero carbon emissions.truefalsecan_attach_trailerbooleanDefaults to falseA flag specifying whether or not vehicles with this profile can attach to trailers.truefalseis_trailerbooleanDefaults to falseA flag specifying whether or not vehicles with this profile are considered trailers.truefalselengthdoubleThe internal length capacity (cm) of the vehicle with this profile. Used when determining vehicle volume. If specified, must be > 0.widthdoubleThe internal width capacity (cm) of a vehicle with this profile. Used when determining vehicle volume. If specified, must be > 0.heightdoubleThe internal height capacity (cm) of a vehicle with this profile. Used when determining vehicle volume. If specified, must be > 0.max_route_distance_kmfloatThe longest distance that a vehicle using this profile can serve on a single route, in kilometers. Used in route optimization. If specified, must be > 0.max_total_weightdoubleThe maximum weight capacity a vehicles with this profile can carry at a time. Unit agnostic, should be in the same unit as the inventory weight specified on orders. If specified, must be > 0.maximum_tasks_per_routeintegerThe maximum number of orders that a vehicle using this profile can transport at a time. If undefined, the optimization reverts to vehicle capacity. If specified, must be > 0.maximum_speedfloatThe maximum speed (miles or kilometers per hour) a vehicle with this profile can travel. Route optimization uses this field to predict timing.transport_time_minutesdoubleThe maximum duration (minutes) you set for a route to last for a vehicle using this profile..loading timedoubleThe standard length of time that you assign to the vehicle loading process prior to optimization. If specified, must be > 0.unloading_timedoubleThe standard length of time that you assign to the vehicle unloading process prior to optimization. If specified, must be > 0.vehicle_category_idjsonThe type of vehicle (car, bicycle, or type of truck) using this profile. Applicable only when using Bringg's advanced traffic integration.encoderjsonThe type of vehicle (car, bicycle or truck) using this profile. Applicable only when using Bringg's basic traffic plan.route_cost_calculation_typeinteger1 = Overall cost per minute 2 = Order cost percentage 3 = Cost calculation methodroute_cost_calculation_configurationobjectUsed when * route_cost_calculation_type * is not nullroute_cost_calculation_configuration objectResponses 200200 404404Updated 17 days ago